Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.glgraphics
Class GLSLTextureFilterParameter

    java.lang.Object
      codeanticode.glgraphics.GLTextureFilterParameter
          codeanticode.glgraphics.GLSLTextureFilterParameter

    public class GLSLTextureFilterParameter

extends GLTextureFilterParameter

This class stores the uniform parameter for a texture filter.

Constructor Summary
`GLSLTextureFilterParameter(processing.core.PApplet parent, GLShader shader, java.lang.String name, java.lang.String label, int type)`
`GLSLTextureFilterParameter(processing.core.PApplet parent, java.lang.String name, java.lang.String label, int type)`

Method Summary
`boolean` | `available()` Returns true or false depending on whether this variable is available for use.
`void` | `copyToShader()` Copies variable values to shader.
`java.lang.String` | `getLabel()` Returns parameter label.
`java.lang.String` | `getName()` Returns parameter name.
`void` | `init()` Initializes this parameter..
`void` | `setShader(GLShader shader)`
`void` | `setValue(float value)` Sets the parameter value when the type is float.
`void` | `setValue(float[] value)` Sets the parameter value for any type.
`void` | `setValue(int value)` Sets the parameter value when the type is int.
`void` | `setValue(int i, float value)` Sets the ith value for the parameter (only valid for vec or mat types).
`void` | `setValue(int i, int j, float value)` Sets the (ith, jth) value for the parameter (only valid for mat types).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLSLTextureFilterParameter

    public GLSLTextureFilterParameter(processing.core.PApplet parent,
                                      java.lang.String name,
                                      java.lang.String label,
                                      int type)

### GLSLTextureFilterParameter

    public GLSLTextureFilterParameter(processing.core.PApplet parent,
                                      GLShader shader,
                                      java.lang.String name,
                                      java.lang.String label,
                                      int type)

Method Detail

### setShader

    public void setShader(GLShader shader)

  Specified by:
    `setShader` in class `GLTextureFilterParameter`

### available

    public boolean available()

  Returns true or false depending on whether this variable is available for use.

  Specified by:
    `available` in class `GLTextureFilterParameter`
  Returns:
    boolean

### init

    public void init()

  Initializes this parameter..

  Specified by:
    `init` in class `GLTextureFilterParameter`

### setValue

    public void setValue(int value)

  Sets the parameter value when the type is int.

  Specified by:
    `setValue` in class `GLTextureFilterParameter`
  Parameters:
    `value` - int

### setValue

    public void setValue(float value)

  Sets the parameter value when the type is float.

  Specified by:
    `setValue` in class `GLTextureFilterParameter`
  Parameters:
    `value` - float

### setValue

    public void setValue(float[] value)

  Sets the parameter value for any type. When the type is int or float, the first element of the value array is considered.

  Specified by:
    `setValue` in class `GLTextureFilterParameter`
  Parameters:
    `value` - float[]

### setValue

    public void setValue(int i,
                         float value)

  Sets the ith value for the parameter (only valid for vec or mat types).

  Specified by:
    `setValue` in class `GLTextureFilterParameter`
  Parameters:
    `int` - i
    `value` - float

### setValue

    public void setValue(int i,
                         int j,
                         float value)

  Description copied from class: `GLTextureFilterParameter`
  Sets the (ith, jth) value for the parameter (only valid for mat types).

  Specified by:
    `setValue` in class `GLTextureFilterParameter`
    `value` - float

### copyToShader

    public void copyToShader()

  Copies variable values to shader.

  Specified by:
    `copyToShader` in class `GLTextureFilterParameter`

### getName

    public java.lang.String getName()

  Returns parameter name.

  Specified by:
    `getName` in class `GLTextureFilterParameter`
  Returns:
    String

### getLabel

    public java.lang.String getLabel()

  Returns parameter label.

  Specified by:
    `getLabel` in class `GLTextureFilterParameter`
  Returns:
    String

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library GLGraphics by Andres Colubri. (c) 2008